Bug 1250419 - <adobe/cmath.hpp> unusable with GCC 5
<adobe/cmath.hpp> unusable with GCC 5
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: adobe-source-libraries (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alec Leamas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-05 07:09 EDT by Jonathan Wakely
Modified: 2015-08-27 13:58 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.0.43-28.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-27 13:58:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Update patches for GCC 5 compatibility.. (3.63 KB, patch)
2015-08-05 07:40 EDT, Jonathan Wakely
no flags Details | Diff
Update patches for GCC 5 compatibility.. (6.59 KB, patch)
2015-08-05 07:51 EDT, Jonathan Wakely
no flags Details | Diff

  None (edit)
Description Jonathan Wakely 2015-08-05 07:09:10 EDT
Description of problem:

adobe-source-libraries doesn't work with the compiler shipped in F22.

Version-Release number of selected component (if applicable):

adobe-source-libraries-1.0.43-24.fc22.x86_64
gcc-c++-5.1.1-4.fc22.x86_64


How reproducible:

Always.

Steps to Reproduce:

g++ -c -x c++ - <<< '#include <adobe/cmath.hpp>'

Actual results:

In file included from <stdin>:1:0:
/usr/include/adobe/cmath.hpp: In function ‘double adobe::round_half_up(double)’:
/usr/include/adobe/cmath.hpp:178:10: error: ‘floor’ is not a member of ‘std’
 { return std::floor(x + 0.5); }
          ^
/usr/include/adobe/cmath.hpp: In function ‘float adobe::round_half_up(float)’:
/usr/include/adobe/cmath.hpp:181:10: error: ‘floor’ is not a member of ‘std’
 { return std::floor(x + 0.5f); }
          ^
/usr/include/adobe/cmath.hpp: In function ‘long int adobe::lround_half_up(double)’:
/usr/include/adobe/cmath.hpp:184:28: error: ‘floor’ is not a member of ‘std’
 { return static_cast<long>(std::floor(x + 0.5)); }
                            ^
/usr/include/adobe/cmath.hpp: In function ‘long int adobe::lround_half_up(float)’:
/usr/include/adobe/cmath.hpp:187:28: error: ‘floor’ is not a member of ‘std’
 { return static_cast<long>(std::floor(x + 0.5f)); }
                            ^



Expected results:

No errors.

Additional info:

This also prevents adobe-source-libraries being rebuilt for rawhide.
Comment 1 Jonathan Wakely 2015-08-05 07:40:18 EDT
Created attachment 1059440 [details]
Update patches for GCC 5 compatibility..
Comment 2 Jonathan Wakely 2015-08-05 07:51:29 EDT
Created attachment 1059444 [details]
Update patches for GCC 5 compatibility..

(Updated patch that also removes the old patches from git).
Comment 3 Alec Leamas 2015-08-20 12:44:41 EDT
Thanks for patches, and sorry for delay. Nordic summer holidays messes things u.

Committed, pushed and built for f23 and rawhide. However, it seems like the dust must settle after bodhi2 going live before I can push an update - right now neither fedpkg update nor the web interface works, At least not for me.
Comment 4 Fedora Update System 2015-08-20 12:55:44 EDT
adobe-source-libraries-1.0.43-28.fc23 has been submitted as an update to Fedora 23. https://bugzilla.redhat.com/show_bug.cgi?id=1250419
Comment 5 Fedora Update System 2015-08-22 12:25:23 EDT
adobe-source-libraries-1.0.43-28.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update adobe-source-libraries'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-13839
Comment 6 Fedora Update System 2015-08-27 13:58:13 EDT
adobe-source-libraries-1.0.43-28.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.